Lavalite package that provides good_to__know management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `boomee/good_to__know`.

    "boomee/good_to__know": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Boomee\GoodToKnow\Providers\GoodToKnowServiceProvider::class,

And also add it to alias

    'GoodToKnow'  => Boomee\GoodToKnow\Facades\GoodToKnow::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Boomee\\GoodToKnowTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Boomee\GoodToKnow\Providers\GoodToKnowServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Boomee\GoodToKnow\Providers\GoodToKnowServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Boomee\GoodToKnow\Providers\GoodToKnowServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/good_to__know/{modulename}

**User**

    http://path-to-route-folder/user/good_to__know/{modulename}

**Public**

    http://path-to-route-folder/good_to__knows


### API endpoints

**List**

    http://path-to-route-folder/api/user/good_to__know/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/good_to__know/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/good_to__know/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/good_to__know/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/good_to__know/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/good_to__know/{modulename}/{slug}
    METHOD: GET