<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for news in good_to__know package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  news module in good_to__know package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'News',
    'names'         => 'News',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'News',
        'sub'   => 'News',
        'list'  => 'List of news',
        'edit'  => 'Edit news',
        'create'    => 'Create new news'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'good_to_know'        => ['on','off'],
            'status'              => ['show','hide'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'title'                      => 'Please enter title',
        'subtitle'                   => 'Please enter subtitle',
        'category_id'                => 'Please enter category id',
        'website'                    => 'Please enter website',
        'video'                      => 'Please enter video',
        'tags'                       => 'Please enter tags',
        'brand_id'                   => 'Please enter brand id',
        'media_id'                   => 'Please enter media id',
        'media_type'                 => 'Please enter media type',
        'file'                       => 'Please enter file',
        'content'                    => 'Please enter content',
        'good_to_know'               => 'Please select good to know',
        'images'                     => 'Please enter images',
        'status'                     => 'Please select status',
        'slug'                       => 'Please enter slug',
        'user_id'                    => 'Please enter user id',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'title'                      => 'Title',
        'subtitle'                   => 'Subtitle',
        'category_id'                => 'Category id',
        'website'                    => 'Website',
        'video'                      => 'Video',
        'tags'                       => 'Tags',
        'brand_id'                   => 'Brand id',
        'media_id'                   => 'Media id',
        'media_type'                 => 'Media type',
        'file'                       => 'File',
        'content'                    => 'Content',
        'good_to_know'               => 'Good to know',
        'images'                     => 'Images',
        'status'                     => 'Status',
        'slug'                       => 'Slug',
        'user_id'                    => 'User id',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'title'                      => ['name' => 'Title', 'data-column' => 1, 'checked'],
        'subtitle'                   => ['name' => 'Subtitle', 'data-column' => 2, 'checked'],
        'category_id'                => ['name' => 'Category id', 'data-column' => 3, 'checked'],
        'website'                    => ['name' => 'Website', 'data-column' => 4, 'checked'],
        'video'                      => ['name' => 'Video', 'data-column' => 5, 'checked'],
        'tags'                       => ['name' => 'Tags', 'data-column' => 6, 'checked'],
        'brand_id'                   => ['name' => 'Brand id', 'data-column' => 7, 'checked'],
        'media_id'                   => ['name' => 'Media id', 'data-column' => 8, 'checked'],
        'media_type'                 => ['name' => 'Media type', 'data-column' => 9, 'checked'],
        'file'                       => ['name' => 'File', 'data-column' => 10, 'checked'],
        'content'                    => ['name' => 'Content', 'data-column' => 11, 'checked'],
        'good_to_know'               => ['name' => 'Good to know', 'data-column' => 12, 'checked'],
        'images'                     => ['name' => 'Images', 'data-column' => 13, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'News',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
