            <div class='row'>
                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('title')
                       -> label(trans('good_to__know::news.label.title'))
                       -> placeholder(trans('good_to__know::news.placeholder.title'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('subtitle')
                       -> label(trans('good_to__know::news.label.subtitle'))
                       -> placeholder(trans('good_to__know::news.placeholder.subtitle'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::numeric('category_id')
                       -> label(trans('good_to__know::news.label.category_id'))
                       -> placeholder(trans('good_to__know::news.placeholder.category_id'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('website')
                       -> label(trans('good_to__know::news.label.website'))
                       -> placeholder(trans('good_to__know::news.placeholder.website'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('video')
                       -> label(trans('good_to__know::news.label.video'))
                       -> placeholder(trans('good_to__know::news.placeholder.video'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('tags')
                       -> label(trans('good_to__know::news.label.tags'))
                       -> placeholder(trans('good_to__know::news.placeholder.tags'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::numeric('brand_id')
                       -> label(trans('good_to__know::news.label.brand_id'))
                       -> placeholder(trans('good_to__know::news.placeholder.brand_id'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::numeric('media_id')
                       -> label(trans('good_to__know::news.label.media_id'))
                       -> placeholder(trans('good_to__know::news.placeholder.media_id'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('media_type')
                       -> label(trans('good_to__know::news.label.media_type'))
                       -> placeholder(trans('good_to__know::news.placeholder.media_type'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('file')
                       -> label(trans('good_to__know::news.label.file'))
                       -> placeholder(trans('good_to__know::news.placeholder.file'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('content')
                       -> label(trans('good_to__know::news.label.content'))
                       -> placeholder(trans('good_to__know::news.placeholder.content'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                    {!! Form::select('good_to_know')
                    -> options(trans('good_to__know::news.options.good_to_know'))
                    -> label(trans('good_to__know::news.label.good_to_know'))
                    -> placeholder(trans('good_to__know::news.placeholder.good_to_know'))!!}
               </div>

                <div class='col-md-12 col-sm-12'>
                    <div class="form-group">
                        <label for="images" class="control-label col-lg-12 col-sm-12 text-left">
                         {{trans('good_to__know::news.label.images') }}
                         </label>
                        <div class='col-lg-3 col-sm-12'>
                            {!! $news->files('images', 10)
                            ->mime(config('filer.image_extensions'))
                            ->url($news->getUploadUrl('images'))
                            ->dropzone()!!}
                        </div>
                        <div class='col-lg-7 col-sm-12'>
                            {!! $news->files('images')
                             ->editor()!!}
                        </div>
                    </div>
                </div>
            </div>