<?php

namespace Boomee\GoodToKnow\Repositories\Eloquent;

use Boomee\GoodToKnow\Interfaces\NewsRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class NewsRepository extends BaseRepository implements NewsRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('boomee.good_to__know.news.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('boomee.good_to__know.news.model.model');
    }
}
